/***
 * Excerpted from "Stripes: and Java Web Development is Fun Again",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
***/

package stripesbook.action;


import java.util.List;
import net.sourceforge.stripes.action.DefaultHandler;
import net.sourceforge.stripes.action.ForwardResolution;
import net.sourceforge.stripes.action.Resolution;
import stripesbook.model.Cars;


public class PartialFormActionBean extends BaseActionBean {
    private static final String VIEW = "/WEB-INF/jsp/cars.jsp";
    private static final String RESULT = "/WEB-INF/jsp/partial_form.jsp";
    private Cars cars = new Cars();
    public String make;
    private List<String> models;
    
    @DefaultHandler
    public Resolution view() {
        return new ForwardResolution(VIEW);
    }
    public Cars getCars() {
        return cars;
    }
    public List<String> getModels() {
        return models;
    }
    public Resolution updateModels() {
        models = cars.get(make);
        return new ForwardResolution(RESULT);
    }
}

